import java.io.*;

/** Klasse zum einlesen eines Angestelltenfiles
  *
  * @author Bernhard Fiser 0109815
  * @version 2.0
  */

public class AngestelltenFileReader extends PersonenFileReader
{
	/** Constructor */
	public		AngestelltenFileReader(String filename)
	{
		super(filename);
	}

	/** Nchstes Personenelement aus File auslesen, Personenobject
	 * erstellen und zurckgeben */
	public Person	readNext() throws IOException
        {
                String	vorname;
                String	famname;
                String	salter;
		int	alter;
		String	skohle;
		int	kohle;
		String	qual;

		/* 3 Zeilen lesen und zuweisen, vorname, famname, salter */
                if ((vorname = super.br.readLine()) == null)
			return(null);
                if ((famname = super.br.readLine()) == null)
			return(null);
                if ((salter = super.br.readLine()) == null)
			return(null);
		if ((skohle = super.br.readLine()) == null)
			return(null);
		if ((qual = super.br.readLine()) == null)
			return(null);

		/* String salter und skohle in Integer umwandeln */
                try
		{
			alter = Integer.parseInt(salter);
			kohle = Integer.parseInt(skohle);
		}
                catch (NumberFormatException e) { System.out.println("*** error in integer conversion\n"); return null; }

		/* Personenobject erstellen und an aufrufendes Programm zurckgeben */
                return ((Person) new Angestellter(vorname, famname, alter, kohle, qual));
        }
}